| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Attrib::BoolParam Class Reference
AttributeEngine

Bool parameter that is used by an attribute. More...

`#include <attribparam.h>`

Inheritance diagram for Attrib::BoolParam:
[legend]

## Public Member Functions
| BoolParam (const char *)
| BoolParam (const char *, bool, bool isreq=true)
| ~BoolParam ()
BoolParam * | clone () const override
BufferString | getDefaultValue () const override
bool | isSet () const
bool | setCompositeValue (const char *) override
void | setSet (bool yn=true)
Public Member Functions inherited from Attrib::ValParam
| ValParam (const char *key, DataInpSpec *)
| ValParam (const ValParam &)
virtual | ~ValParam ()
ValParam * | clone () const override
void | fillDefStr (BufferString &) const override
bool | getBoolValue (int idx=0) const
bool | getCompositeValue (BufferString &) const override
bool | getDefaultBoolValue (int idx=0) const
virtual double | getDefaultdValue (int idx=0) const
virtual float | getDefaultfValue (int idx=0) const
virtual int | getDefaultIntValue (int idx=0) const
const char * | getDefaultStringValue (int idx=0) const
BufferString | getDefaultValue () const override
virtual double | getDValue (int idx=0) const
double | getdValue (int idx=0) const
virtual float | getFValue (int idx=0) const
float | getfValue (int idx=0) const
virtual int | getIntValue (int idx=0) const
MultiID | getMultiID (int idx=0) const
DataInpSpec * | getSpec ()
const DataInpSpec * | getSpec () const
const char * | getStringValue (int idx=0) const
bool | isOK () const override
int | nrValues () const
bool | setCompositeValue (const char *) override
void | setDefaultValue (bool, int idx=0)
void | setDefaultValue (const char *, int idx=0)
void | setDefaultValue (double, int idx=0)
void | setDefaultValue (float, int idx=0)
void | setDefaultValue (int, int idx=0)
void | setValue (bool, int idx=0)
void | setValue (const char *, int idx=0)
void | setValue (const MultiID &, int idx=0)
void | setValue (double, int idx=0)
void | setValue (float, int idx=0)
void | setValue (int, int idx=0)
Public Member Functions inherited from Attrib::Param
virtual | ~Param ()
StringView | getKey () const
bool | isEnabled () const
bool | isGroup () const
bool | isRequired () const
bool | operator!= (const Param &p) const
bool | operator== (const Param &p) const
void | setEnabled (bool yn=true)
void | setKey (const char *newkey)
void | setRequired (bool yn=true)
virtual bool | setValues (BufferStringSet &)

## Additional Inherited Members
Protected Member Functions inherited from Attrib::ValParam
bool | isEqual (const Param &) const override
Protected Member Functions inherited from Attrib::Param
| Param (const char *key)
| Param (const Param &)
bool | _isEqual (const Param &p) const
Protected Attributes inherited from Attrib::ValParam
DataInpSpec * | spec_
Protected Attributes inherited from Attrib::Param
bool | enabled_
bool | isgroup_
BufferString | key_
bool | required_

## Detailed Description

Bool parameter that is used by an attribute.

<>

## Constructor & Destructor Documentation

## ◆ BoolParam() [1/2]

Attrib::BoolParam::BoolParam | ( | const char * |  | ) |

## ◆ BoolParam() [2/2]

Attrib::BoolParam::BoolParam | ( | const char * | ,
|  | bool | ,
|  | bool | isreq = true )

## ◆ ~BoolParam()

Attrib::BoolParam::~BoolParam | ( |  | ) |

## Member Function Documentation

## ◆ clone()

BoolParam * Attrib::BoolParam::clone | ( |  | ) | const
| override virtual

Implements Attrib::Param.

## ◆ getDefaultValue()

BufferString Attrib::BoolParam::getDefaultValue | ( |  | ) | const
| override virtual

Reimplemented from Attrib::Param.

## ◆ isSet()

bool Attrib::BoolParam::isSet | ( |  | ) | const

## ◆ setCompositeValue()

bool Attrib::BoolParam::setCompositeValue | ( | const char * |  | ) |
| override virtual

Set all values from one composite string.

Reimplemented from Attrib::Param.

## ◆ setSet()

void Attrib::BoolParam::setSet | ( | bool | yn = true | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025